Get a single end user file by Heron ID
curl --request GET \
--url https://app.herondata.io/api/end_user_files/{heron_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/end_user_files/{heron_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/end_user_files/{heron_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bank_statement": null,
"created": "2023-11-07T05:31:56Z",
"email": null,
"file_class": "<string>",
"file_source_metadata": {},
"filename": "<string>",
"heron_id": "<string>",
"iso_application": {
"heron_id": "iso_6hBjQT9k6KP2rLCXwjUJff",
"processing_status": "processed"
},
"num_pages": 123,
"page_classes": {},
"parent_heron_id": "<string>",
"parsed_results": [],
"processing_error": "<string>",
"reference_id": "<string>",
"renamed_filename": "<string>"
}EndUserFiles
Get a single end user file by Heron ID
Retrieve a single end user file by its Heron ID. Returns file metadata including filename, file class, parsed results (if any), and related info. Use this endpoint when you have an end user file Heron ID and need its details without listing or filtering all files.
GET
/
api
/
end_user_files
/
{heron_id}
Get a single end user file by Heron ID
Authorizations
Path Parameters
The Heron ID of the end user file (e.g. euf_...)
Response
The end user file
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?